# UniTAP.dev.ports.modules.link.hdmi.types

class FrlMode(enum.IntEnum):

Class `FrlMode` contains all possible variants of FRL modes.

Mode_Unknown = <FrlMode.Mode_Unknown: -1>
Mode_Disable = <FrlMode.Mode_Disable: 0>
Mode_3lanes_3gbps = <FrlMode.Mode_3lanes_3gbps: 1>
Mode_3lanes_6gbps = <FrlMode.Mode_3lanes_6gbps: 2>
Mode_4lanes_6gbps = <FrlMode.Mode_4lanes_6gbps: 3>
Mode_4lanes_8gbps = <FrlMode.Mode_4lanes_8gbps: 4>
Mode_4lanes_10gbps = <FrlMode.Mode_4lanes_10gbps: 5>
Mode_4lanes_12gbps = <FrlMode.Mode_4lanes_12gbps: 6>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class LtpPattern(enum.IntEnum):

Class `LtpPattern` contains all possible variants of LTP pattern types.

Unknown = <LtpPattern.Unknown: -1>
NoLinkPattern = <LtpPattern.NoLinkPattern: 0>
All_1s = <LtpPattern.All_1s: 1>
All_0s = <LtpPattern.All_0s: 2>
NyquistClockPattern = <LtpPattern.NyquistClockPattern: 3>
SourceTxFFECompliance = <LtpPattern.SourceTxFFECompliance: 4>
LFSR0 = <LtpPattern.LFSR0: 5>
LFSR1 = <LtpPattern.LFSR1: 6>
LFSR2 = <LtpPattern.LFSR2: 7>
LFSR3 = <LtpPattern.LFSR3: 8>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class ScramblerState(enum.IntEnum):

Class `ScramblerState` contains all possible variants of scrambler states.

Unknown = <ScramblerState.Unknown: -1>
Disable = <ScramblerState.Disable: 0>
Enable = <ScramblerState.Enable: 1>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class LinkMode(enum.IntEnum):

Class `LinkMode` contains all possible variants of Link modes.

Unknown = <LinkMode.Unknown: -1>
HDMI = <LinkMode.HDMI: 0>
DVI = <LinkMode.DVI: 1>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class ClockRate(enum.IntEnum):

Class `ClockRate` contains all possible variants of clock rate.

Unknown = <ClockRate.Unknown: -1>
Rate3G = <ClockRate.Rate3G: 0>
Rate6G = <ClockRate.Rate6G: 1>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class HdmiModeTx(enum.IntEnum):

Class `HdmiModeTx` contains all possible variants of HDMI modes on TX side.

Unknown = <HdmiModeTx.Unknown: -1>
HDMI_2_0 = <HdmiModeTx.HDMI_2_0: 0>
HDMI_1_4 = <HdmiModeTx.HDMI_1_4: 1>
HDMI_2_1 = <HdmiModeTx.HDMI_2_1: 2>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class HdmiModeRx(enum.IntEnum):

Class `HdmiModeRx` contains all possible variants of HDMI modes on RX side.

Unknown = <HdmiModeRx.Unknown: -1>
HDMI_1_4 = <HdmiModeRx.HDMI_1_4: 0>
HDMI_2_0 = <HdmiModeRx.HDMI_2_0: 1>
HDMI_2_1 = <HdmiModeRx.HDMI_2_1: 2>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class LtpLanesPattern:

Class `LtpLanesPattern` describes LTP pattern values on all lanes.

- Lane 0 `lane0`.
- Lane 1 `lane1`.
- Lane 2 `lane2`.
- Lane 3 `lane3`.

lane0: LtpPattern

Returns `LtpPattern` value of line 0.

###### Returns:

> object of `LtpPattern` type

lane1: LtpPattern

Returns `LtpPattern` value of line 1.

###### Returns:

> object of `LtpPattern` type

lane2: LtpPattern

Returns `LtpPattern` value of line 2.

###### Returns:

> object of `LtpPattern` type

lane3: LtpPattern

Returns `LtpPattern` value of line 3.

###### Returns:

> object of `LtpPattern` type

def value(self) -> int:

Returns combines value of all lines.

###### Returns:

> object of int type

class FrlCaps:

Class `FrlCaps` describes FRL capabilities.

- FRL start `frl_start`.
- FLT no timeout `flt_no_timeout`.
- FLT ready `flt_ready`
- FRL max `frl_max`.
- Check patterns state `check_patterns`.

frl_start: bool

Returns state of FRL start.

###### Returns:

> object of bool type

flt_no_timeout: bool

Returns state of FLT no timeout.

###### Returns:

> object of bool type

flt_ready: bool

Returns state of FLT ready.

###### Returns:

> object of bool type

frl_max: bool

Returns state of FLT max.

###### Returns:

> object of bool type

check_patterns: bool

Returns state of check patterns.

###### Returns:

> object of bool type

def value(self) -> int:

Returns combined value of all flags.

###### Returns:

> object of int type